x003065_g_scriptId = 003065

x003065_g_PlayerPos = {}  --玩家出生点坐标
x003065_g_PlayerPos[1] = {260,42, 1.57}
x003065_g_PlayerPos[2] = {84,150, 0.52}

function x003065_SetPlayerPos(scene, objId)
	local index = RandomMon(1, #x003065_g_PlayerPos + 1)
	SetScenePos(scene, objId, x003065_g_PlayerPos[index][1], x003065_g_PlayerPos[index][2], x003065_g_PlayerPos[index][3])
end

function x003065_OnObjRelife(scene, objId, type)
	if type == true then
		x003065_SetPlayerPos(scene, objId)
		--RelifeShenMoJiangYu(scene, objId)
	end
end

function x003065_OnObjEnter(scene, objId)
	if IsUser(objId) then
		UserEnterShenYuScene(scene, objId)
		x003065_SetPlayerPos(scene, objId)
	end
end

function x003065_OnObjLeave(scene, objId)
	UserLeaveShenYuScene(scene, objId)
end

function x003065_OnObjFlee(scene, objId)
	x003065_SetPlayerPos(scene, objId)
	--RelifeShenMoJiangYu(scene, objId)
end